## org.gnu.gtk
Class Window

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.Window

Direct Known Subclasses:
  Dialog, Plug

public class Window
extends Bin

A Window is a window that can be displayed on the screen. It also is a container that can hold a single child widget. It is common to have the window in Window supply the margin around the window of the contained widget.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Window(Handle handle)` Create a new Window with a handle to a native resource returned from a call to the native libraries.
`Window(WindowType windowType)` Construct a new Window object.

Method Summary
`void` `addAccelGroup(AccelGroup accelGroup)` Associate `accesGroup` with the window.
`void` `deiconify()` Asks to deiconify the specified Window.
`void` `fullscreen()`
`boolean` `getAcceptFocus()`
`static Pixbuf[]` `getDefaultIconList()` Gets the icons set by `setDefaultIconList`.
`boolean` `getFocusOnMap()` Gets the value set by `setFocusOnMap(boolean)`.
`Widget` `getFocusWidget()` Retrieves the current focused Widget within the window.
`Gravity` `getGravity()` Gets the value set by `setGravity()`.
`Pixbuf` `getIcon()` Returns the icon representing the Window.
`Pixbuf[]` `getIconList()` Retrieves the list of icons set by setIconList().
`java.lang.String` `getIconName()` Returns the name of the themed icon for the window.
`Point` `getPosition()` Retuns the current position of the window.
`Screen` `getScreen()` Returns the GdkScreen associated with this window.
`Requisition` `getSize()` Returns the current size of a Window.
`boolean` `getSkipPagerHint()` Returns whether the window should appear in the pager.
`boolean` `getSkipTaskbarHint()` Returns whether this window should appear in the task bar.
`java.lang.String` `getTitle()` Returns the title for the Window object
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_window_activate_default(Handle window)`
`protected static int` `gtk_window_activate_focus(Handle window)`
`protected static void` `gtk_window_add_accel_group(Handle window, Handle accelGroup)`
`protected static void` `gtk_window_add_mnemonic(Handle window, int keyval, Handle target)`
`protected static void` `gtk_window_begin_move_drag(Handle window, int button, int rootX, int rootY, int timestamp)`
`protected static void` `gtk_window_begin_resize_drag(Handle window, int edge, int button, int rootX, int rootY, int timestamp)`
`protected static void` `gtk_window_deiconify(Handle window)`
`protected static void` `gtk_window_fullscreen(Handle window)`
`protected static boolean` `gtk_window_get_accept_focus(Handle window)`
`protected static boolean` `gtk_window_get_decorated(Handle window)`
`protected static Handle[]` `gtk_window_get_default_icon_list()`
`protected static void` `gtk_window_get_default_size(Handle window, int[] width, int[] height)`
`protected static boolean` `gtk_window_get_destroy_with_parent(Handle window)`
`protected static Handle` `gtk_window_get_focus(Handle window)`
`protected static void` `gtk_window_get_frame_dimensions(Handle window, int[] left, int[] top, int[] right, int[] bottom)`
`protected static int` `gtk_window_get_gravity(Handle window)`
`protected static boolean` `gtk_window_get_has_frame(Handle window)`
`protected static Handle[]` `gtk_window_get_icon_list(Handle window)`
`protected static Handle` `gtk_window_get_icon(Handle window)`
`protected static int` `gtk_window_get_mnemonic_modifier(Handle window)`
`protected static boolean` `gtk_window_get_modal(Handle window)`
`protected static void` `gtk_window_get_position(Handle window, int[] rootX, int[] rootY)`
`protected static boolean` `gtk_window_get_resizable(Handle window)`
`protected static java.lang.String` `gtk_window_get_role(Handle window)`
`protected static Handle` `gtk_window_get_screen(Handle window)`
`protected static void` `gtk_window_get_size(Handle window, int[] width, int[] height)`
`protected static boolean` `gtk_window_get_skip_pager_hint(Handle window)`
`protected static boolean` `gtk_window_get_skip_taskbar_hint(Handle window)`
`protected static java.lang.String` `gtk_window_get_title(Handle window)`
`protected static Handle` `gtk_window_get_transient_for(Handle window)`
`protected static int` `gtk_window_get_type_hint(Handle window)`
`protected static int` `gtk_window_get_type()`
`protected static boolean` `gtk_window_has_toplevel_focus(Handle window)`
`protected static void` `gtk_window_iconify(Handle window)`
`protected static boolean` `gtk_window_is_active(Handle window)`
`protected static Handle[]` `gtk_window_list_toplevels()`
`protected static void` `gtk_window_maximize(Handle window)`
`protected static boolean` `gtk_window_mnemonic_activate(Handle window, int keyval, int modifier)`
`protected static void` `gtk_window_move(Handle window, int x, int y)`
`protected static Handle` `gtk_window_new(int type)`
`protected static boolean` `gtk_window_parse_geometry(Handle window, java.lang.String geometry)`
`protected static void` `gtk_window_present(Handle window)`
`protected static void` `gtk_window_remove_accel_group(Handle window, Handle accelGroup)`
`protected static void` `gtk_window_remove_mnemonic(Handle window, int keyval, Handle target)`
`protected static void` `gtk_window_resize(Handle window, int width, int height)`
`protected static void` `gtk_window_set_accept_focus(Handle window, boolean setting)`
`protected static void` `gtk_window_set_auto_startup_notification(boolean setting)`
`protected static void` `gtk_window_set_decorated(Handle window, boolean setting)`
`protected static boolean` `gtk_window_set_default_icon_from_file(java.lang.String filename)`
`protected static void` `gtk_window_set_default_icon_list(Handle[] list)`
`protected static void` `gtk_window_set_default_icon(Handle icon)`
`protected static void` `gtk_window_set_default_size(Handle window, int width, int height)`
`protected static void` `gtk_window_set_default(Handle window, Handle defaultWidget)`
`protected static void` `gtk_window_set_destroy_with_parent(Handle window, boolean setting)`
`protected static void` `gtk_window_set_focus(Handle window, Handle focus)`
`protected static void` `gtk_window_set_frame_dimensions(Handle window, int left, int top, int right, int bottom)`
`protected static void` `gtk_window_set_geometry_hints(Handle window, Handle geometryWidget, Handle geometry, int geomMask)`
`protected static void` `gtk_window_set_gravity(Handle window, int gravity)`
`protected static void` `gtk_window_set_has_frame(Handle window, boolean setting)`
`protected static boolean` `gtk_window_set_icon_from_file(Handle window, java.lang.String filename)`
`protected static void` `gtk_window_set_icon_list(Handle window, Handle[] list)`
`protected static void` `gtk_window_set_icon(Handle window, Handle icon)`
`protected static void` `gtk_window_set_keep_above(Handle window, boolean setting)`
`protected static void` `gtk_window_set_keep_below(Handle window, boolean setting)`
`protected static void` `gtk_window_set_mnemonic_modifier(Handle window, int modifier)`
`protected static void` `gtk_window_set_modal(Handle window, boolean modal)`
`protected static void` `gtk_window_set_position(Handle window, int position)`
`protected static void` `gtk_window_set_resizable(Handle window, boolean resizable)`
`protected static void` `gtk_window_set_role(Handle window, java.lang.String role)`
`protected static void` `gtk_window_set_screen(Handle window, Handle screen)`
`protected static void` `gtk_window_set_skip_pager_hint(Handle window, boolean skip)`
`protected static void` `gtk_window_set_skip_taskbar_hint(Handle window, boolean skip)`
`protected static void` `gtk_window_set_title(Handle window, java.lang.String title)`
`protected static void` `gtk_window_set_transient_for(Handle window, Handle parent)`
`protected static void` `gtk_window_set_type_hint(Handle window, int hint)`
`protected static void` `gtk_window_set_wmclass(Handle window, java.lang.String wmclassName, java.lang.String wmclassClass)`
`protected static void` `gtk_window_stick(Handle window)`
`protected static void` `gtk_window_unfullscreen(Handle window)`
`protected static void` `gtk_window_unmaximize(Handle window)`
`protected static void` `gtk_window_unstick(Handle window)`
`boolean` `hasToplevelFocus()` Returns whether the input focus is within this Window.
`void` `iconify()` Asks to iconify the Window.
`boolean` `isActive()` Returns whether the window is part of the current active toplevel.
`static Window[]` `listToplevelWindows()` Returns a list of all existing toplevel windows.
`void` `maximize()` Asks to maximize the Window so it becomes full-screen.
`void` `move(int x, int y)` Ask the window manager to move the Window to a given location.
`void` `present()` Presents a window to the user.
`void` `removeAccelGroup(AccelGroup accelGroup)` Reverses the effect of `addAccelGroup`.
`void` `resize(int width, int height)` Resizes the Window as if the user had done so, obeying the geometry constraints.
`void` `setAcceptFocus(boolean acceptFocus)`
`static void` `setAutoStartupNotification(boolean setting)`
`void` `setDecorated(boolean setting)` By default Windows are decorated by a titlebar, resize controls, etc.
`static void` `setDefaultIcon(Pixbuf icon)`
`static boolean` `setDefaultIconFromFile(java.lang.String filename)` Sets an icon to be used as fallback for windows that haven't had setIconList() called on them from a file on disk.
`static void` `setDefaultIconList(Pixbuf[] icons)` Sets up the icon representing a Window.
`void` `setDefaultIconName(java.lang.String name)` Sets an icon to be used as fallback for windows that haven't had `setIconList` called on them from a named themed icon.
`void` `setDefaultSize(int width, int height)` Sets the default size for a Window.
`void` `setDefaultWidget(Widget defaultWidget)` The default widget is the widget that is activated when the user presses the Enter key.
`void` `setFocusOnMap(boolean setting)` Windows may set a hint asking the desktop environment not to receive the input focus when the window is mapped.
`void` `setFocusWidget(Widget focus)` If `focus` is not the current focus widget and is focusable, set it as the focus widget for the window.
`void` `setGeometryHints(Widget geometryWidget, Geometry geometry, WindowHints geomMask)` This method sets up hints about how a Window can be resized by the user.
`void` `setGravity(Gravity gravity)` Window gravity defines the meaning of coordinates passed to `move()`.
`void` `setIcon(Pixbuf icon)` Sets up the icon representing a Window.
`boolean` `setIconFromFile(java.lang.String filename)` Sets the icon for this window.
`void` `setIconList(Pixbuf[] icons)` Sets up the icon representing a GtkWindow.
`void` `setIconName(java.lang.String name)` Sets the icon for the window from a named themed icon.
`void` `setKeepAbove(boolean setting)`
`void` `setKeepBelow(boolean setting)`
`void` `setModal(boolean modal)` Sets a window modal or non-modal.
`void` `setPosition(WindowPosition position)` Sets a position constraint for this window.
`void` `setResizable(boolean resizable)` Sets whether the user can resize the window.
`void` `setScreen(Screen screen)` Sets the Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen.
`void` `setSkipPagerHint(boolean skipHint)` Set to true to keep the window from appearing in the pager.
`void` `setSkipTaskbarHint(boolean skipHint)` Set to true to keep this window from appearing in the task bar.
`void` `setTitle(java.lang.String title)` Set the title for this Window object
`void` `stick()` Asks to stick the window.
`void` `unfullscreen()`
`void` `unmaximize()` Asks to unmaximize the Window so it becomes it normal size.
`void` `unstick()` Asks to unstick the window.

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Window

    public Window(WindowType windowType)

  Construct a new Window object.

Parameters:
  `windowType` - The type of window to create

### Window

    public Window(Handle handle)

  Create a new Window with a handle to a native resource returned from a call to the native libraries.

Parameters:
  `handle` - The handle that represents a pointer to a native resource.

Method Detail

### setTitle

    public void setTitle(java.lang.String title)

  Set the title for this Window object

  Parameters:
    `title` - A string containing the title for this Window

### getTitle

    public java.lang.String getTitle()

  Returns the title for the Window object

  Returns:
    A string containing the title.

### setResizable

    public void setResizable(boolean resizable)

  Sets whether the user can resize the window. Windows are user resizable by default.

  Parameters:
    `resizable` - Determines if the window can be resized.

### addAccelGroup

    public void addAccelGroup(AccelGroup accelGroup)

  Associate `accesGroup` with the window.

  Parameters:
    `accelGroup` - The AccelGroup to associate with this window.

### removeAccelGroup

    public void removeAccelGroup(AccelGroup accelGroup)

  Reverses the effect of `addAccelGroup`.

  Parameters:
    `accelGroup` - The AccelGroup to disassociate with this window.

### setModal

    public void setModal(boolean modal)

  Sets a window modal or non-modal.

  Parameters:
    `modal` - Indicates whether the window should be modal or not.

### setDefaultSize

    public void setDefaultSize(int width,
                               int height)

  Sets the default size for a Window. If a Window's natural size is larger than the default, the default will be ignored.

  Parameters:
    `width` - The width to set for the default size.
    `height` - the height to set for the default size.

### setGeometryHints

    public void setGeometryHints(Widget geometryWidget,
                                 Geometry geometry,
                                 WindowHints geomMask)

  This method sets up hints about how a Window can be resized by the user. You can set a minimum and maximum size, allowable resize increments, aspect ratios and more.

  Parameters:
    `geometryWidget` - The Widget the geometry hints will be applied to.
    `geometry` - The geometry information.
    `geomMask` - Mask indicating which fields should be paid attention to.

### setGravity

    public void setGravity(Gravity gravity)

  Window gravity defines the meaning of coordinates passed to `move()`.

  Parameters:
    `gravity` - The window gravity.

### getGravity

    public Gravity getGravity()

  Gets the value set by `setGravity()`.

  Returns:
    The Gravity for the Window.

### setPosition

    public void setPosition(WindowPosition position)

  Sets a position constraint for this window. If the old or new constraint is `WindowPosition.CENTER_ALWAYS`, this will also cause the window to be repositioned to satisfy the new constraint.

  Parameters:
    `position` - A position constraint.

### getFocusWidget

    public Widget getFocusWidget()

  Retrieves the current focused Widget within the window.

  Returns:
    The Widget that has focus.

### setFocusWidget

    public void setFocusWidget(Widget focus)

  If `focus` is not the current focus widget and is focusable, set it as the focus widget for the window.

  Parameters:
    `focus` - The widget to receive focus for the Window.

### setDefaultWidget

    public void setDefaultWidget(Widget defaultWidget)

  The default widget is the widget that is activated when the user presses the Enter key. This method will set defaultWidget to the default widget for the Window.

  Parameters:
    `defaultWidget` - The widget that should become the default widget.

### present

    public void present()

  Presents a window to the user. This may mean raising the window in the stack order, deiconifying it, moving it to the current desktop, and/or giving it the keyboard focus, possibly dependent on the user's platform, window manager, and preferences. If the Window is hidden it will also call `show` as well.

### iconify

    public void iconify()

  Asks to iconify the Window. Note that you shouldn't assume the Window is iconified afterward because other entities could deiconify it again or there may not be a window manager in which case iconification is not possible.

### deiconify

    public void deiconify()

  Asks to deiconify the specified Window.

### stick

    public void stick()

  Asks to stick the window. This means that the window appear on all user desktops. Note that you shouldn't assume that the Window is definately stuck after calling this method. Other entities could unstick the Window or the window manager may not support this feature.

### unstick

    public void unstick()

  Asks to unstick the window.

### maximize

    public void maximize()

  Asks to maximize the Window so it becomes full-screen.

### unmaximize

    public void unmaximize()

  Asks to unmaximize the Window so it becomes it normal size.

### setDecorated

    public void setDecorated(boolean setting)

  By default Windows are decorated by a titlebar, resize controls, etc. Some window managers allow you to disable these decorations, creating a borderless Window. This method allows you to change teh decorated setting for the Window.

  Parameters:
    `setting` - Determines if the Window should be decorated.

### getSize

    public Requisition getSize()

  Returns the current size of a Window. If the window is not onscreen, it returns the size that will be suggested to the window manager for the initial window size.

  Returns:
    The size of the Window.

### getPosition

    public Point getPosition()

  Retuns the current position of the window.

  Returns:
    The position of the window.

### move

    public void move(int x,
                     int y)

  Ask the window manager to move the Window to a given location. Window managers are free to ignore this request. Most window managers ignore the request for the initial window position but honor the request after the window has been shown.

  Parameters:
    `x` - The x coordinate for the move.
    `y` - The y coordinate for the move.

### resize

    public void resize(int width,
                       int height)

  Resizes the Window as if the user had done so, obeying the geometry constraints.

  Parameters:
    `width` - The width for the resized Window.
    `height` - The height for the resized Window.

### setIcon

    public void setIcon(Pixbuf icon)

  Sets up the icon representing a Window. The icon is used when the Window is minimized.

  Parameters:
    `icon` - The Icon to use for this Window.

### getIcon

    public Pixbuf getIcon()

  Returns the icon representing the Window.

### setIconList

    public void setIconList(Pixbuf[] icons)

  Sets up the icon representing a GtkWindow. The icon is used when the window is minimized (also known as iconified). Some window managers or desktop environments may also place it in the window frame, or display it in other contexts. setIconList allows you to pass in the same icon in several hand-drawn sizes. The list should contain the natural sizes your icon is available in; that is, don't scale the image before passing it. Scaling is postponed until the last minute, when the desired final size is known, to allow best quality. By passing several sizes, you may improve the final image quality of the icon, by reducing or eliminating automatic image scaling. Recommended sizes to provide: 16x16, 32x32, 48x48 at minimum, and larger images (64x64, 128x128) if you have them.

### getIconList

    public Pixbuf[] getIconList()

  Retrieves the list of icons set by setIconList(). The list is copied, but the reference count on each member won't be incremented.

### setSkipTaskbarHint

    public void setSkipTaskbarHint(boolean skipHint)

  Set to true to keep this window from appearing in the task bar.

  Parameters:
    `skipHint` -

### getSkipTaskbarHint

    public boolean getSkipTaskbarHint()

  Returns whether this window should appear in the task bar.

### setSkipPagerHint

    public void setSkipPagerHint(boolean skipHint)

  Set to true to keep the window from appearing in the pager.

  Parameters:
    `skipHint` -

### getSkipPagerHint

    public boolean getSkipPagerHint()

  Returns whether the window should appear in the pager.

### setAcceptFocus

    public void setAcceptFocus(boolean acceptFocus)

### getAcceptFocus

    public boolean getAcceptFocus()

### setScreen

    public void setScreen(Screen screen)

  Sets the Screen where the window is displayed; if the window is already mapped, it will be unmapped, and then remapped on the new screen.

  Parameters:
    `screen` - the new screen.

### getScreen

    public Screen getScreen()

  Returns the GdkScreen associated with this window.

  Overrides:
    `getScreen` in class `Widget`

### isActive

    public boolean isActive()

  Returns whether the window is part of the current active toplevel. (That is, the toplevel window receiving keystrokes.) The return value is TRUE if the window is active toplevel itself, but also if it is, say, a `Plug` embedded in the active toplevel. You might use this method if you wanted to draw a widget differently in an active window from a widget in an inactive window.

### hasToplevelFocus

    public boolean hasToplevelFocus()

  Returns whether the input focus is within this Window. For real toplevel windows, this is identical to `isActive()`, but for embedded windows, like `Plug`, the results will differ.

### setIconFromFile

    public boolean setIconFromFile(java.lang.String filename)

  Sets the icon for this window.

  Parameters:
    `filename` - the full path to the icon
  Returns:
    `true` if the icon was sucessfully set, `false` otherwise.

### setDefaultIconFromFile

    public static boolean setDefaultIconFromFile(java.lang.String filename)

  Sets an icon to be used as fallback for windows that haven't had setIconList() called on them from a file on disk.

  Parameters:
    `filename` - the path to the icon
  Returns:
    `true` if it was sucessfully set, `false` otherwise.
  See Also:
    `setIconName(String)`

### setDefaultIcon

    public static void setDefaultIcon(Pixbuf icon)

### setAutoStartupNotification

    public static void setAutoStartupNotification(boolean setting)

### fullscreen

    public void fullscreen()

### unfullscreen

    public void unfullscreen()

### setKeepAbove

    public void setKeepAbove(boolean setting)

### setKeepBelow

    public void setKeepBelow(boolean setting)

### setDefaultIconList

    public static void setDefaultIconList(Pixbuf[] icons)

  Sets up the icon representing a Window. The icon is used when the window is minimized (also known as iconified). Some window managers or desktop environments may also place it in the window frame, or display it in other contexts. This method allows you to pass in the same icon in several hand-drawn sizes. The list should contain the natural sizes your icon is available in; that is, don't scale the image before passing it to GTK+. Scaling is postponed until the last minute, when the desired final size is known, to allow best quality. By passing several sizes, you may improve the final image quality of the icon, by reducing or eliminating automatic image scaling. Recommended sizes to provide: 16x16, 32x32, 48x48 at minimum, and larger images (64x64, 128x128) if you have them. Note that this method sets the icon for all windows in your application in one go.

  Parameters:
    `icons` - the list of icons to use.

### getDefaultIconList

    public static Pixbuf[] getDefaultIconList()

  Gets the icons set by `setDefaultIconList`.

  Returns:
    the list of icons

### listToplevelWindows

    public static Window[] listToplevelWindows()

  Returns a list of all existing toplevel windows.

  Returns:
    the array containing the windows

### setFocusOnMap

    public void setFocusOnMap(boolean setting)

  Windows may set a hint asking the desktop environment not to receive the input focus when the window is mapped. This function sets this hint.

  Parameters:
    `setting` - TRUE to let this window receive input focus on map.

### getFocusOnMap

    public boolean getFocusOnMap()

  Gets the value set by `setFocusOnMap(boolean)`.

  Returns:
    TRUE if window should receive the input focus when mapped.

### setIconName

    public void setIconName(java.lang.String name)

  Sets the icon for the window from a named themed icon. See the docs for `IconTheme` for more details.

  Note that this has nothing to do with the WM_ICON_NAME property which is mentioned in the ICCCM.

  Parameters:
    `name` - The name of the themed icon.

### getIconName

    public java.lang.String getIconName()

  Returns the name of the themed icon for the window.

  Returns:
    The icon name or NULL if the window has no themed icon.

### setDefaultIconName

    public void setDefaultIconName(java.lang.String name)

  Sets an icon to be used as fallback for windows that haven't had `setIconList` called on them from a named themed icon.

  See Also:
    `setIconName(String)`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_window_get_type

    protected static final int gtk_window_get_type()

### gtk_window_new

    protected static final Handle gtk_window_new(int type)

### gtk_window_set_title

    protected static final void gtk_window_set_title(Handle window,
                                                     java.lang.String title)

### gtk_window_get_title

    protected static final java.lang.String gtk_window_get_title(Handle window)

### gtk_window_set_wmclass

    protected static final void gtk_window_set_wmclass(Handle window,
                                                       java.lang.String wmclassName,
                                                       java.lang.String wmclassClass)

### gtk_window_set_role

    protected static final void gtk_window_set_role(Handle window,
                                                    java.lang.String role)

### gtk_window_get_role

    protected static final java.lang.String gtk_window_get_role(Handle window)

### gtk_window_add_accel_group

    protected static final void gtk_window_add_accel_group(Handle window,
                                                           Handle accelGroup)

### gtk_window_remove_accel_group

    protected static final void gtk_window_remove_accel_group(Handle window,
                                                              Handle accelGroup)

### gtk_window_set_position

    protected static final void gtk_window_set_position(Handle window,
                                                        int position)

### gtk_window_activate_focus

    protected static final int gtk_window_activate_focus(Handle window)

### gtk_window_set_focus

    protected static final void gtk_window_set_focus(Handle window,
                                                     Handle focus)

### gtk_window_get_focus

    protected static final Handle gtk_window_get_focus(Handle window)

### gtk_window_set_default

    protected static final void gtk_window_set_default(Handle window,
                                                       Handle defaultWidget)

### gtk_window_activate_default

    protected static final boolean gtk_window_activate_default(Handle window)

### gtk_window_set_transient_for

    protected static final void gtk_window_set_transient_for(Handle window,
                                                             Handle parent)

### gtk_window_get_transient_for

    protected static final Handle gtk_window_get_transient_for(Handle window)

### gtk_window_set_type_hint

    protected static final void gtk_window_set_type_hint(Handle window,
                                                         int hint)

### gtk_window_get_type_hint

    protected static final int gtk_window_get_type_hint(Handle window)

### gtk_window_set_destroy_with_parent

    protected static final void gtk_window_set_destroy_with_parent(Handle window,
                                                                   boolean setting)

### gtk_window_get_destroy_with_parent

    protected static final boolean gtk_window_get_destroy_with_parent(Handle window)

### gtk_window_set_resizable

    protected static final void gtk_window_set_resizable(Handle window,
                                                         boolean resizable)

### gtk_window_get_resizable

    protected static final boolean gtk_window_get_resizable(Handle window)

### gtk_window_set_gravity

    protected static final void gtk_window_set_gravity(Handle window,
                                                       int gravity)

### gtk_window_get_gravity

    protected static final int gtk_window_get_gravity(Handle window)

### gtk_window_set_geometry_hints

    protected static final void gtk_window_set_geometry_hints(Handle window,
                                                              Handle geometryWidget,
                                                              Handle geometry,
                                                              int geomMask)

### gtk_window_set_has_frame

    protected static final void gtk_window_set_has_frame(Handle window,
                                                         boolean setting)

### gtk_window_get_has_frame

    protected static final boolean gtk_window_get_has_frame(Handle window)

### gtk_window_set_frame_dimensions

    protected static final void gtk_window_set_frame_dimensions(Handle window,
                                                                int left,
                                                                int top,
                                                                int right,
                                                                int bottom)

### gtk_window_get_frame_dimensions

    protected static final void gtk_window_get_frame_dimensions(Handle window,
                                                                int[] left,
                                                                int[] top,
                                                                int[] right,
                                                                int[] bottom)

### gtk_window_set_decorated

    protected static final void gtk_window_set_decorated(Handle window,
                                                         boolean setting)

### gtk_window_get_decorated

    protected static final boolean gtk_window_get_decorated(Handle window)

### gtk_window_set_icon_list

    protected static final void gtk_window_set_icon_list(Handle window,
                                                         Handle[] list)

### gtk_window_get_icon_list

    protected static final Handle[] gtk_window_get_icon_list(Handle window)

### gtk_window_set_icon

    protected static final void gtk_window_set_icon(Handle window,
                                                    Handle icon)

### gtk_window_get_icon

    protected static final Handle gtk_window_get_icon(Handle window)

### gtk_window_set_default_icon_list

    protected static final void gtk_window_set_default_icon_list(Handle[] list)

### gtk_window_get_default_icon_list

    protected static final Handle[] gtk_window_get_default_icon_list()

### gtk_window_set_modal

    protected static final void gtk_window_set_modal(Handle window,
                                                     boolean modal)

### gtk_window_get_modal

    protected static final boolean gtk_window_get_modal(Handle window)

### gtk_window_list_toplevels

    protected static final Handle[] gtk_window_list_toplevels()

### gtk_window_add_mnemonic

    protected static final void gtk_window_add_mnemonic(Handle window,
                                                        int keyval,
                                                        Handle target)

### gtk_window_remove_mnemonic

    protected static final void gtk_window_remove_mnemonic(Handle window,
                                                           int keyval,
                                                           Handle target)

### gtk_window_mnemonic_activate

    protected static final boolean gtk_window_mnemonic_activate(Handle window,
                                                                int keyval,
                                                                int modifier)

### gtk_window_set_mnemonic_modifier

    protected static final void gtk_window_set_mnemonic_modifier(Handle window,
                                                                 int modifier)

### gtk_window_get_mnemonic_modifier

    protected static final int gtk_window_get_mnemonic_modifier(Handle window)

### gtk_window_present

    protected static final void gtk_window_present(Handle window)

### gtk_window_iconify

    protected static final void gtk_window_iconify(Handle window)

### gtk_window_deiconify

    protected static final void gtk_window_deiconify(Handle window)

### gtk_window_stick

    protected static final void gtk_window_stick(Handle window)

### gtk_window_unstick

    protected static final void gtk_window_unstick(Handle window)

### gtk_window_maximize

    protected static final void gtk_window_maximize(Handle window)

### gtk_window_unmaximize

    protected static final void gtk_window_unmaximize(Handle window)

### gtk_window_begin_resize_drag

    protected static final void gtk_window_begin_resize_drag(Handle window,
                                                             int edge,
                                                             int button,
                                                             int rootX,
                                                             int rootY,
                                                             int timestamp)

### gtk_window_begin_move_drag

    protected static final void gtk_window_begin_move_drag(Handle window,
                                                           int button,
                                                           int rootX,
                                                           int rootY,
                                                           int timestamp)

### gtk_window_set_default_size

    protected static final void gtk_window_set_default_size(Handle window,
                                                            int width,
                                                            int height)

### gtk_window_get_default_size

    protected static final void gtk_window_get_default_size(Handle window,
                                                            int[] width,
                                                            int[] height)

### gtk_window_resize

    protected static final void gtk_window_resize(Handle window,
                                                  int width,
                                                  int height)

### gtk_window_get_size

    protected static final void gtk_window_get_size(Handle window,
                                                    int[] width,
                                                    int[] height)

### gtk_window_move

    protected static final void gtk_window_move(Handle window,
                                                int x,
                                                int y)

### gtk_window_get_position

    protected static final void gtk_window_get_position(Handle window,
                                                        int[] rootX,
                                                        int[] rootY)

### gtk_window_parse_geometry

    protected static final boolean gtk_window_parse_geometry(Handle window,
                                                             java.lang.String geometry)

### gtk_window_set_skip_taskbar_hint

    protected static final void gtk_window_set_skip_taskbar_hint(Handle window,
                                                                 boolean skip)

### gtk_window_get_skip_taskbar_hint

    protected static final boolean gtk_window_get_skip_taskbar_hint(Handle window)

### gtk_window_set_skip_pager_hint

    protected static final void gtk_window_set_skip_pager_hint(Handle window,
                                                               boolean skip)

### gtk_window_get_skip_pager_hint

    protected static final boolean gtk_window_get_skip_pager_hint(Handle window)

### gtk_window_set_accept_focus

    protected static final void gtk_window_set_accept_focus(Handle window,
                                                            boolean setting)

### gtk_window_get_accept_focus

    protected static final boolean gtk_window_get_accept_focus(Handle window)

### gtk_window_set_screen

    protected static final void gtk_window_set_screen(Handle window,
                                                      Handle screen)

### gtk_window_get_screen

    protected static final Handle gtk_window_get_screen(Handle window)

### gtk_window_is_active

    protected static final boolean gtk_window_is_active(Handle window)

### gtk_window_has_toplevel_focus

    protected static final boolean gtk_window_has_toplevel_focus(Handle window)

### gtk_window_set_icon_from_file

    protected static final boolean gtk_window_set_icon_from_file(Handle window,
                                                                 java.lang.String filename)

### gtk_window_set_default_icon_from_file

    protected static final boolean gtk_window_set_default_icon_from_file(java.lang.String filename)

### gtk_window_set_default_icon

    protected static final void gtk_window_set_default_icon(Handle icon)

### gtk_window_set_auto_startup_notification

    protected static final void gtk_window_set_auto_startup_notification(boolean setting)

### gtk_window_fullscreen

    protected static final void gtk_window_fullscreen(Handle window)

### gtk_window_unfullscreen

    protected static final void gtk_window_unfullscreen(Handle window)

### gtk_window_set_keep_above

    protected static final void gtk_window_set_keep_above(Handle window,
                                                          boolean setting)

### gtk_window_set_keep_below

    protected static final void gtk_window_set_keep_below(Handle window,
                                                          boolean setting)